<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:15 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.api.artifacts.result (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.gradle.api.artifacts.result (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/artifacts/repositories/package-summary.html">Prev Package</a></li>
<li><a href="../../../../../org/gradle/api/artifacts/transform/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/artifacts/result/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<p><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="../../../../../org/gradle/api/NonNullApi.html" title="annotation in org.gradle.api">@NonNullApi</a>
</p>
<h1 title="Package" class="title">Package&nbsp;org.gradle.api.artifacts.result</h1>
<div class="docSummary">
<div class="block">Classes that compose the resolution result</div>
</div>
<p>See:&nbsp;<a href="#package_description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/artifacts/result/ArtifactResolutionResult.html" title="interface in org.gradle.api.artifacts.result">ArtifactResolutionResult</a></td>
<td class="colLast">
<div class="block">The result of executing an artifact resolution query.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/artifacts/result/ArtifactResult.html" title="interface in org.gradle.api.artifacts.result">ArtifactResult</a></td>
<td class="colLast">
<div class="block">The result of resolving an artifact.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/artifacts/result/ComponentArtifactsResult.html" title="interface in org.gradle.api.artifacts.result">ComponentArtifactsResult</a></td>
<td class="colLast">
<div class="block">The result of successfully resolving a component with a set of artifacts.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/artifacts/result/ComponentResult.html" title="interface in org.gradle.api.artifacts.result">ComponentResult</a></td>
<td class="colLast">
<div class="block">The result of resolving a component.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/artifacts/result/ComponentSelectionReason.html" title="interface in org.gradle.api.artifacts.result">ComponentSelectionReason</a></td>
<td class="colLast">
<div class="block">Answers the question why a component was selected during the dependency resolution.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/artifacts/result/DependencyResult.html" title="interface in org.gradle.api.artifacts.result">DependencyResult</a></td>
<td class="colLast">
<div class="block">An edge in the dependency graph.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/artifacts/result/ResolutionResult.html" title="interface in org.gradle.api.artifacts.result">ResolutionResult</a></td>
<td class="colLast">
<div class="block">Contains the information about the result of dependency resolution.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/artifacts/result/ResolvedArtifactResult.html" title="interface in org.gradle.api.artifacts.result">ResolvedArtifactResult</a></td>
<td class="colLast">
<div class="block">The result of successfully resolving an artifact.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/artifacts/result/ResolvedComponentResult.html" title="interface in org.gradle.api.artifacts.result">ResolvedComponentResult</a></td>
<td class="colLast">
<div class="block">Represents a component instance in the resolved dependency graph.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/artifacts/result/ResolvedDependencyResult.html" title="interface in org.gradle.api.artifacts.result">ResolvedDependencyResult</a></td>
<td class="colLast">
<div class="block">A dependency that was resolved successfully.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/artifacts/result/ResolvedVariantResult.html" title="interface in org.gradle.api.artifacts.result">ResolvedVariantResult</a></td>
<td class="colLast">
<div class="block">The result of successfully resolving a component variant.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/artifacts/result/UnresolvedArtifactResult.html" title="interface in org.gradle.api.artifacts.result">UnresolvedArtifactResult</a></td>
<td class="colLast">
<div class="block">An artifact that could not be resolved.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/artifacts/result/UnresolvedComponentResult.html" title="interface in org.gradle.api.artifacts.result">UnresolvedComponentResult</a></td>
<td class="colLast">
<div class="block">A component that could not be resolved.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/artifacts/result/UnresolvedDependencyResult.html" title="interface in org.gradle.api.artifacts.result">UnresolvedDependencyResult</a></td>
<td class="colLast">
<div class="block">A dependency that could not be resolved.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package_description">
<!--   -->
</a>
<h2 title="Package org.gradle.api.artifacts.result Description">Package org.gradle.api.artifacts.result Description</h2>
<div class="block">Classes that compose the resolution result</div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/artifacts/repositories/package-summary.html">Prev Package</a></li>
<li><a href="../../../../../org/gradle/api/artifacts/transform/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/artifacts/result/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
